#
# spec file for package python-Flask-Babel
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2014 Dr. Axel Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Flask-Babel
Version:        0.12.2
Release:        3.1
Summary:        i18n and l10n support for Flask
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/python-babel/flask-babel
Source:         https://files.pythonhosted.org/packages/source/F/Flask-Babel/Flask-Babel-%{version}.tar.gz
BuildRequires:  %{python_module Babel >= 2.3}
BuildRequires:  %{python_module Flask}
BuildRequires:  %{python_module Jinja2 >= 2.5}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Babel >= 2.3
Requires:       python-Flask
Requires:       python-Jinja2 >= 2.5
BuildArch:      noarch
%python_subpackages

%description
This module implements i18n and l10n support for Flask. It is based on
the Python babel module as well as pytz.

%prep
%setup -q -n Flask-Babel-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
pushd tests
%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
%python_exec tests.py
}
popd

%files %{python_files}
%license LICENSE
%doc README.md
%dir %{python_sitelib}/flask_babel
%{python_sitelib}/flask_babel/*
%{python_sitelib}/Flask_Babel-%{version}-py*.egg-info

%changelog
* Sun Nov  4 2018 jengelh@inai.de
- Use noun phrase.
* Tue Oct 30 2018 arun@gmx.de
- specfile:
  * update copyright year
  * remove devel from noarch
  * be more specific in %%files section
  * add README.md
- update to version 0.12.2:
  * Switch to using README.md for project description on pypi.
  * Fix heading underline in index.rst
* Thu Aug 31 2017 toddrme2178@gmail.com
- Update to 0.11.2
  * No upstream changelog
- Implement single-spec version
* Thu Sep 15 2016 toddrme2178@gmail.com
- Update to 0.11.1
  * No upstream changelog
* Thu Oct 23 2014 axel.braun@gmx.de
- initial OBS build
